Bug 81445 - Simplify SmallStrings
Summary: Simplify SmallStrings
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords: EasyFix
Depends on:
Blocks:
 
Reported: 2012-03-16 23:19 PDT by Benjamin Poulain
Modified: 2012-03-23 11:51 PDT (History)
2 users (show)

See Also:


Attachments
Patch (2.98 KB, patch)
2012-03-16 23:26 PDT, Benjamin Poulain
barraclough: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2012-03-16 23:19:27 PDT
You might wonder why SmallStrings has a public clear() and count(), so do I.
Comment 1 Benjamin Poulain 2012-03-16 23:26:13 PDT
Created attachment 132449 [details]
Patch
Comment 2 Benjamin Poulain 2012-03-19 19:11:42 PDT
Committed r111306: <http://trac.webkit.org/changeset/111306>
Comment 3 Darin Adler 2012-03-23 09:04:40 PDT
Comment on attachment 132449 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=132449&action=review

> Source/JavaScriptCore/runtime/SmallStrings.cpp:74
> +    m_emptyString = 0;

Would be even better to use an initializer for this instead of assignment in the body of the function.
Comment 4 Benjamin Poulain 2012-03-23 11:51:01 PDT
> > Source/JavaScriptCore/runtime/SmallStrings.cpp:74
> > +    m_emptyString = 0;
> 
> Would be even better to use an initializer for this instead of assignment in the body of the function.

This was the first of a pair of patch. The second actually did that, so no worries :)